> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fetchhive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tool action approvals



## OpenAPI

````yaml /openapi.yaml get /v1/public/workspaces/{workspace_id}/tool_action_approvals
openapi: 3.0.1
info:
  title: Fetch Hive Public API
  version: v1
  description: Customer-facing Fetch Hive API endpoints for public API keys.
servers:
  - url: https://api.fetchhive.com
security: []
paths:
  /v1/public/workspaces/{workspace_id}/tool_action_approvals:
    parameters:
      - name: workspace_id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Tool Action Approvals
      summary: List tool action approvals
      parameters:
        - name: status
          in: query
          required: false
          schema:
            type: string
        - name: agent_id
          in: query
          required: false
          schema:
            type: string
        - name: run_id
          in: query
          required: false
          schema:
            type: string
        - name: request_id
          in: query
          required: false
          schema:
            type: string
        - name: cursor
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
      responses:
        '200':
          description: pending approvals for this workspace
        '404':
          description: workspace is outside the API key
      security:
        - bearer_auth: []
components:
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: 'Workspace API key sent as `Authorization: Bearer <api_key>`.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.